Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.client
Class JBossConnectionMetaData

    java.lang.Object
      org.jboss.jms.client.JBossConnectionMetaData

All Implemented Interfaces:
  java.io.Serializable

public class JBossConnectionMetaData
extends java.lang.Object
implements java.io.Serializable

Connection metadata

Author:
  Tim Fox, Ovidiu Feodorov $Id: JBossConnectionMetaData.java,v 1.15 2005/12/22 22:06:03 ovidiu Exp $
See Also:
  Serialized Form

Field Summary
`protected Version` | `serverVersion`

Constructor Summary
`JBossConnectionMetaData(Version serverVersion)` Create a new JBossConnectionMetaData object.

Method Summary
`int` | `getJMSMajorVersion()`
`int` | `getJMSMinorVersion()`
`java.lang.String` | `getJMSProviderName()`
`java.lang.String` | `getJMSVersion()`
`java.util.Enumeration` | `getJMSXPropertyNames()`
`int` | `getProviderMajorVersion()`
`int` | `getProviderMinorVersion()`
`java.lang.String` | `getProviderVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serverVersion

    protected Version serverVersion

Constructor Detail

### JBossConnectionMetaData

    public JBossConnectionMetaData(Version serverVersion)

  Create a new JBossConnectionMetaData object.

Method Detail

### getJMSVersion

    public java.lang.String getJMSVersion()
                                   throws JMSException

  Throws:
    `JMSException`

### getJMSMajorVersion

    public int getJMSMajorVersion()
                           throws JMSException

  Throws:
    `JMSException`

### getJMSMinorVersion

    public int getJMSMinorVersion()
                           throws JMSException

  Throws:
    `JMSException`

### getJMSProviderName

    public java.lang.String getJMSProviderName()
                                        throws JMSException

  Throws:
    `JMSException`

### getProviderVersion

    public java.lang.String getProviderVersion()
                                        throws JMSException

  Throws:
    `JMSException`

### getProviderMajorVersion

    public int getProviderMajorVersion()
                                throws JMSException

  Throws:
    `JMSException`

### getProviderMinorVersion

    public int getProviderMinorVersion()
                                throws JMSException

  Throws:
    `JMSException`

### getJMSXPropertyNames

    public java.util.Enumeration getJMSXPropertyNames()
                                               throws JMSException

  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.